# Uses of Interface
org.apache.cxf.buslifecycle.BusLifeCycleListener

Packages that use BusLifeCycleListener
Package
Description
org.apache.cxf.bus.managers
org.apache.cxf.buslifecycle
org.apache.cxf.io

- ## Uses of BusLifeCycleListener in org.apache.cxf.bus.managers

  Classes in org.apache.cxf.bus.managers that implement BusLifeCycleListener
  Modifier and Type
  Class
  Description
  `class`
  `CXFBusLifeCycleManager`
  `class`
  `ServerRegistryImpl`
  Methods in org.apache.cxf.bus.managers with parameters of type BusLifeCycleListener
  Modifier and Type
  Method
  Description
  `final void`
  CXFBusLifeCycleManager.`registerLifeCycleListener(BusLifeCycleListener listener)`
  `void`
  CXFBusLifeCycleManager.`unregisterLifeCycleListener(BusLifeCycleListener listener)`

- ## Uses of BusLifeCycleListener in org.apache.cxf.buslifecycle

  Subinterfaces of BusLifeCycleListener in org.apache.cxf.buslifecycle
  Modifier and Type
  Interface
  Description
  `interface`
  `BusLifeCycleManager`
  The manager interface for registering `BusLifeCycleListener`s.
  Methods in org.apache.cxf.buslifecycle with parameters of type BusLifeCycleListener
  Modifier and Type
  Method
  Description
  `void`
  BusLifeCycleManager.`registerLifeCycleListener(BusLifeCycleListener listener)`
  Register a listener to receive `Bus` lifecycle notification.
  `void`
  BusLifeCycleManager.`unregisterLifeCycleListener(BusLifeCycleListener listener)`
  Unregister a listener so that it will no longer receive `Bus` lifecycle events.

- ## Uses of BusLifeCycleListener in org.apache.cxf.io

  Classes in org.apache.cxf.io that implement BusLifeCycleListener
  Modifier and Type
  Class
  Description
  `final class`
  `DelayedCachedOutputStreamCleaner`